# Generated by Django 2.2.3 on 2019-08-22 18:15

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('webhosts', '0007_auto_20190822_1743'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='webhook',
            options={'ordering': ['-system', '-url']},
        ),
        migrations.RemoveField(
            model_name='historicaltransactionreplication',
            name='destination_webhook',
        ),
        migrations.RemoveField(
            model_name='transactionreplication',
            name='destination_webhook',
        ),
        migrations.AddField(
            model_name='historicaltransactionreplication',
            name='destination',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='webhosts.System'),
        ),
        migrations.AddField(
            model_name='transactionreplication',
            name='destination',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='webhosts.System'),
        ),
    ]
